SDL Library Documentation
Prev |  | Next

# SDL_CreateCond

## Name

SDL_CreateCond -- Create a condition variable

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``SDL_cond *SDL_CreateCond`(void);`

## Description

Creates a condition variable.

## Examples

    SDL_cond *cond;

    cond=SDL_CreateCond();
    .
    .
    /* Do stuff */

    .
    .
    SDL_DestroyCond(cond);

## See Also

`SDL_DestroyCond`, `SDL_CondWait`, `SDL_CondSignal`

Prev | Home | Next
SDL_SemValue | Up | SDL_DestroyCond